package edu.georgetown.gucs.dictionary;

/**
 * Prints all the tokens and their frequencies, IDFs, and normalized IDFs for a {@linkplain Dictionary}
 * 
 * @author Clay Shields
 */
public class ShowDictionaryTokens {

  private Dictionary dictionary;

  /**
   * Constructor that specifies the dictionary and its language
   * 
   * @param dictionary_file
   *          the string filename containing the serialized dictionary
   */
  public ShowDictionaryTokens(String dictionary_file) {
    dictionary = new Dictionary(dictionary_file);
    dictionary.showTokens();
  }

  /**
   * Prints a dictionary's tokens and their frequencies, IDFs, and normalized IDFs
   * 
   * @param args
   *          array of string command line arguments<br>
   *          <code>args[0]</code> the filename containing the dictionary to show
   */
  public static void main(String args[]) {
    String dictionary_file = null;
    try {
      dictionary_file = args[0];
    } catch (ArrayIndexOutOfBoundsException e) {
      System.err.println("Usage: java ShowDictionaryTokens <dictionary file name>");
      System.err.println("Prints a dictionary's tokens and their frequencies, IDFs, and normalized IDFs");
      System.exit(-1);
    }
    new ShowDictionaryTokens(dictionary_file);
  }
}
